# akalogger
[![js-semistandard-style](https://img.shields.io/badge/code%20style-semistandard-brightgreen.svg?style=flat-square)](https://github.com/Flet/semistandard)

[![NPM](https://nodei.co/npm/akalogger.png?downloads=true&downloadRank=true&stars=true)](https://nodei.co/npm/akalogger/)

A easy to use node logger with option to print to console, save to file, and support for Sentry.

<img src="https://raw.githubusercontent.com/PyroclasticMayhem/akalogger/master/screenshot.png" height="83px" width="400px">

## Installing
```
npm i --save akalogger
```

## Usage
```js
let Akalogger = require('akalogger');

let logger = new Akalogger(); // Create logger that will print to console

logger.log('This is a test log');
logger.debug('This is a test log');
logger.error('This is a test log');
logger.info('This is a test log');
logger.warn('This is a test log');
```

See the included examples in the `examples` folder.

## Links
* [Documentation](https://PyroclasticMayhem.github.io/akalogger)
* [List of Colors](https://github.com/chalk/chalk#styles)
* [Issues](https://github.com/PyroclasticMayhem/akalogger/issues)
